import 'package:flutter/widgets.dart';
import 'package:imagini/screens/splash/splashscreen.dart';
import 'package:imagini/screens/me/mescreen.dart';
import 'package:imagini/screens/login/loginscreen.dart';
import 'package:imagini/screens/upload/uploadscreen.dart';
import 'package:imagini/screens/gallery/galleryscreen.dart';
import 'package:imagini/screens/settings/settingsscreen.dart';

final Map<String, WidgetBuilder> routes = <String, WidgetBuilder>{
  "/":          (BuildContext context) => SplashScreen(),
  "/Me":        (BuildContext context) => MeScreen(),
  "/Login":     (BuildContext context) => LoginScreen(),
  "/Upload":    (BuildContext context) => UploadScreen(),
  "/Gallery":   (BuildContext context) => GalleryScreen(),
  "/Settings":  (BuildContext context) => SettingsScreen(),
};
